curl --request GET \
--url https://xbt-mainnet.gomaestro-api.org/v0/wallet/addresses/{address}/runes/activity \
--header 'api-key: <api-key>'import requests
url = "https://xbt-mainnet.gomaestro-api.org/v0/wallet/addresses/{address}/runes/activity"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://xbt-mainnet.gomaestro-api.org/v0/wallet/addresses/{address}/runes/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"confirmations": 0,
"height": 901674,
"mempool": true,
"rune_activity": {
"decreased_balances": [
{
"amount": "20000",
"rune_id": "845764:84"
}
],
"etched_rune": null,
"increased_balances": [],
"minted": null,
"self_transfers": []
},
"tx_hash": "2264aa2f8ec653067a98f35c7e762cff248410dbb13408629ce0ed4ca6444dd1"
}
],
"indexer_info": {
"chain_tip": {
"block_hash": "00000000000000000000a30d9d5025c11b17b2c44b176de0e284c84f59dacebb",
"block_height": 901673
},
"estimated_blocks": [
{
"block_height": 901674,
"sats_per_vb": {
"max": 300,
"median": 4,
"min": 1
}
}
],
"mempool_timestamp": "2025-06-17 21:38:09"
},
"next_cursor": "Aw3CKgEl0U1Epkzt4JxiCDSx2xCEJP8sdn5c85h6BlPGji-qZCI"
}Rune Activity by Address (Mempool-aware)
Get Bitcoin rune transaction activity for a specific address including minting, transfers, and balance changes with mempool awareness.
Authorizations
Project API Key
Path Parameters
Bitcoin address or hex encoded script pubkey
Query Parameters
The order in which the results are sorted. Supported values: asc, desc
asc, desc The max number of results per page
x >= 0Return only transactions created on or after a specific height
x >= 0Return only transactions created on or before a specific height
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Return only transactions containing a specific rune, specified either by the rune ID (etching block number and transaction index) or name (spaced or un-spaced). In presence of activity_kind, it relates to this specific rune. In presence of exclude_self_transfers, it is this specific rune that the queried address should see increase or decrease in balance in the tx, not just being self-transferred.
Filter txs by presence specific activity kind. Supported values: increased, decreased, self_transfer. In presence of rune filter, the activity kind relates to that specific rune. In presence of exclude_self_transfers, this activity kind cannot be self_transfer.
self_transfer, increase, decrease Exclude txs only containing runes self-transfers. In presence of activity_kind, it cannot be self_transfer. In presence of rune filter, that specific rune should be sent or received, not self-transferred.
Include mempool data. Default: true.
Was this page helpful?

